### Hierarchy

- LocationService

## Index

### Constructors

- constructor

### Methods

- getAreaNameByLocation
- getAreaNames
- getAreaTypeByArea
- getAreaTypes

## Constructors

### constructor

- new LocationService(httpClient: HttpClient): LocationService

- - Defined in src/app/_services/location.service.ts:10

  #### Parameters

  - ##### httpClient: HttpClient

  #### Returns LocationService

## Methods

### getAreaNameByLocation

- getAreaNameByLocation(location: string): Observable<any>

- - Defined in src/app/_services/location.service.ts:17

  #### Parameters

  - ##### location: string

  #### Returns Observable<any>

### getAreaNames

- getAreaNames(): Observable<any>

- - Defined in src/app/_services/location.service.ts:13

  #### Returns Observable<any>

### getAreaTypeByArea

- getAreaTypeByArea(area: string): Observable<any>

- - Defined in src/app/_services/location.service.ts:25

  #### Parameters

  - ##### area: string

  #### Returns Observable<any>

### getAreaTypes

- getAreaTypes(): Observable<any>

- - Defined in src/app/_services/location.service.ts:21

  #### Returns Observable<any>

Generated using TypeDoc